List all Warehouses
Returns a list of Warehouse objects.
Please see Warehouses in our user documentation for more information.
Authorizations
Query Parameters
Using the filtering syntax, you may filter the results using the following fields:
idnameis_activeabbreviation
The default sort order is descending by primary key (sort=-id).
Using the sorting syntax, the following fields are available for sorting:
idnameabbreviation
If specified as 1, the meta.count property of the response will be present and populated with the total count of items
matching the query before any paging is applied. This is not included by default to improve performance in some edge
cases and is not required to perform paging using the next property of the response.
See paging parameters for more information.
0 <= x <= 1A cursor for use in pagination which defines the end of the next page of results, non-inclusive.
For collections sorted by id this is the last id. For other sort orders use the
opaque cursor provided by the previous link and meta.cursor_end of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
A cursor for use in pagination which defines the start of the next page of results.
For collections sorted by id this is the starting id. For other sort orders use the
opaque cursor provided by the next link and meta.cursor_start of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
Response
A dictionary with a collection property that contains an array of up to
limit Warehouse objects. If no warehouses are found the array will be empty.